add_action('init', 'hc_request_handler');

function hc_admin_head(){
?>
<link rel='stylesheet' href='<?php echo HC_PLUGIN_URL;?>/css/hypercomments.css'  type='text/css' />
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
<?php
}
add_action('admin_head', 'hc_admin_head');
// действие при инсталяции плагина
function hc_active(){  
      update_option('hc_selector', '.hc_counter_comments');
}
// действие при деинсталяции плагина
function hc_delete(){  
     delete_option('hc_wid');
     delete_option('hc_access');
     delete_option('hc_selector');
}
register_deactivation_hook(__FILE__,'hc_delete');
register_activation_hook(__FILE__,'hc_active');
function hc_show_script() {      
      global $post; 
      $parse = parse_url($post->guid);
      $url = str_replace('https://','',str_replace('http://','',str_replace('www.','',str_replace($parse['host'], get_option('home'), $post->guid))));      
?>
<div id="hypercomments_widget"></div>
<script type="text/javascript">
var _hcp = _hcp || {};_hcp.widget_id = <?php echo get_option('hc_wid');?>;_hcp.widget = "Stream";_hcp.platform = "wordpress";
_hcp.language = "<?php echo hc_get_language();?>";_hcp.xid = "<?php echo $url?>";
<?php if(HC_DEV) echo '_hcp.hc_test=1;';?>
(function() { 
var hcc = document.createElement("script"); hcc.type = "text/javascript"; hcc.async = true;
hcc.src = ("https:" == document.location.protocol ? "https" : "http")+"://widget.hypercomments.com/apps/js/hc.js";
var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hcc, s.nextSibling); 
})();
</script>
<?php
}

function hc_count_widget() {      
  if(!is_single()) {    
?>
<script type="text/javascript">
<?php if(HC_DEV) echo 'HCDeveloper = true';?>   
var _hcp = _hcp || {};_hcp.widget_id = <?php echo get_option('hc_wid');?>;_hcp.widget = "Bloggerstream";_hcp.selector='<?php echo get_option('hc_selector');?>';
_hcp.platform = "wordpress";_hcp.language = "<?php echo hc_get_language();?>";
<?php
      if(hc_enableParams()){
            echo '_hcp.enableParams=true;';
       }
 ?>
(function() { 
var hcc = document.createElement("script"); hcc.type = "text/javascript"; hcc.async = true;
hcc.src = ("https:" == document.location.protocol ? "https" : "http")+"://widget.hypercomments.com/apps/js/hc.js";
var s = document.getElementsByTagName("script")[0]; s.parentNode.insertBefore(hcc, s.nextSibling); 
})();
</script>
<?php
  }
}

// Вставка виджета
add_action('wp_footer', 'hc_count_widget');
add_filter('comments_template', 'hc_comments_template');
add_filter('comments_number', 'hc_comments_text');
add_filter('get_comments_number', 'hc_comments_number');
 
function hc_comments_template($value){   
   return dirname(__FILE__) . '/comments.php';
}

function hc_comments_number($count) {
    global $post;
    return $count;
}

function hc_comments_text($comment_text) {
    global $post;  
    $parse = parse_url($post->guid);
    $url =  str_replace($parse['scheme'].'://'.$parse['host'], get_option('home'), $post->guid);   
    return '<span class="hc_counter_comments" href="'.$url.'">'.$comment_text.'</span>'; 
}

// action function for above hook
function hc_admin_page() {
    // добавления подменю в раздел Параметры
    add_options_page('HyperComments', 'HyperComments', 8, 'hypercomments', 'hc_options_page');
}

// Отображает страницу для настроек
function hc_options_page() {
     if( $_POST['hc_form_counter_sub'] == 'Y' ) {
         update_option( 'hc_selector',  $_POST['hc_form_selector'] );
         echo '<div class="updated"><p><strong>Options saved</strong></p></div>';
     }
     include_once(dirname(__FILE__) . '/manage.php');
}

function hc_add_pages() {
     add_submenu_page(
         'edit-comments.php',
         'HyperComments',
         'HyperComments',
         'moderate_comments',
         'hypercomments',
         'hc_options_page'
     );
}
add_action('admin_menu', 'hc_add_pages', 10);

add_action('admin_notices', 'hc_messages');

function hc_messages() {
    $page = (isset($_GET['page']) ? $_GET['page'] : null);
    if ( !get_option('hc_wid') && $page != 'hypercomments') {
       echo '<div class="updated"><p><b>'.__('You must <a href="edit-comments.php?page=hypercomments">configure the plugin</a> to enable HyperComments.', 'hypercomments').'</b></p></div>';
    }
}

function hc_enableParams()
{
     global $wpdb;
     $results = $wpdb->get_results( "SELECT guid FROM $wpdb->posts WHERE post_type !='revision' AND post_status = 'publish' LIMIT 1");
     foreach ( $results as $result ) {
       $link = $result->guid;
     }
     return strstr($link,'?');
}

function hc_get_language()
{
    $local = get_locale();
    $local_lang = explode('_',$local);     
    return $local_lang[0];  
}

?>